//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE-----------------------------
package org.huihoo.workflow.xpdl;

import org.huihoo.workflow.*;

public abstract class WorkflowTransition extends WorkflowComplexComponent implements WorkflowXPDLComponent
{
	/** 
	 * Construct a new WorkflowComponenet.
	 */
	protected WorkflowTransition()
	{
		this(null,null);
	}
	
	/** 
	 * Construct a new WorkflowComponenet.
	 *
	 * @param uuid_ The element ID
	 * @param name The element name
	 */
	protected WorkflowTransition(String uuid, String name)
	{
		this(uuid, name, null);
	}

	/** 
	 * Construct a new WorkflowComponenet.
	 *
	 * @param uuid_       The element ID
	 * @param name        The element name
	 * @param description The element description
	 */
	protected WorkflowTransition(String uuid_, String name, String description)
	{
		super(uuid_, name, description);
	}
	
	//  public final static int DIRECTION_FORWARD   = 1;
	//
	//  public final static int DIRECTION_BACKWARD  = DIRECTION_FORWARD+1; 
	//
	//  public int  getDirection();
	//  public void setDirection(int direction);

	public abstract WorkflowProcess getWorkflowProcess();
	public abstract void setWorkflowProcess(WorkflowProcess workflowProcess);

	public abstract WorkflowActivity getFromActivity();
	public abstract void setFromActivity(WorkflowActivity fromActivity);

	public abstract WorkflowActivity getToActivity();
	public abstract void setToActivity(WorkflowActivity toActivity);

	public abstract WorkflowCondition getWorkflowCondition();
	public abstract void setWorkflowCondition(WorkflowCondition condition);
	
	public abstract boolean   isHidden();
	public abstract void      setHidden(boolean hidden);
}
